@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap');

:root {
	--bg: #FCFCFC;
	--bg-gradient: linear-gradient(to bottom, #00742B, #00742B);

	--text-color: #031406;

	--w-link: #00742B;
	--w-link-hover: rgba(24, 103, 241, 0.8);


	--price-top: #0A2A05;
	--menu: #031406;
	--lang: #031406;

	--nav-bg: #FCFCFC;
	--nav-text: #030914;
	--nav-link: #00742B;

	--title: #031406;

	--proggress-text: #00742B;
	--progress-bg: rgba(0, 0, 0, .15);
	--progress-filled: #00742B;

	--form-bg: #FCFCFC;
	--form-label: #030914;

	--input-bg: #FCFCFC;
	--input-bg-invalid: #F6DBDB;
	--input-bg-invalid-focused: #F88484;
	--input-border-focus: #00742B;
	--input-text: #1c212b;
	--input-text-disabled: #4C4C4C;
	--input-shadow: #4c4c4c;

	--form-msg-error-bg: #F88484;
	--form-msg-error-text: #211212;

	--form-msg-success-bg: #CFFCD7;
	--form-msg-success-text: #1C321E;

	--btn-bg: #00742B;
	--btn-bg-hover: #0EA948;
	--btn-text: #FCFCFC;
	--btn-text-sm: #0A2A05;

	--timer: #000;

	--footer: #031406;
	--footer-w: #031406;

	--wbg: #FCFCFC;
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}
html, body {
	min-height: 100%;
}
article, aside, details, figcaption, figure, footer, header, hgroup, main, nav, section, summary {
	display: block;
}
a {
	color: #000;
	text-decoration: underline;
}
a:hover {
	text-decoration: none;
}
a, img {
	border: none;
}
a, input:focus, button:focus, textarea:focus, select:focus {
	outline: none;
}
button {
	cursor: pointer;
}
img {
	user-select: none;
}
input, button {
	font-family: Inter, Arial, Tahoma, sans-serif;
}
a, button {
	transition: all 0.5s ease;
}

body {
	background: var(--bg);
	color: var(--text-color);
	font: 16px/1.4 Inter, Arial, Tahoma, sans-serif;
}
.rtl-text {
	direction: ltr;
}

.rtl-text .wrapper,
.rtl-text .modal-nav,
.rtl-text .nav {
	direction: rtl;
	text-align: right;
}

.wrapper {
	width: 100%;
	max-width: 1315px;
	min-height: 100vh;
	margin: 0 auto;
	padding-left: 16px;
	padding-right: 16px;
	overflow: hidden;
	display: flex;
	flex-direction: column;
}
.wrapper:after,
.cla:after {
	content: '';
	clear: both;
	display: block;
}
.text-center {
	text-align: center;
}
.d-none {
	display: none;
}


/* header
*************************************************/
.header {
	margin-top: 16px;
	margin-bottom: 16px;
	position: relative;
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	justify-items: center;
	align-items: center;
	direction: ltr;
}
.price {
	color: var(--price-top);
	font-size: 12px;
	text-align: center;
}

.menu {
	justify-self: start;
	width: 32px;
	height: 32px;
	padding: 8px 4px;
	cursor: pointer;
}
.menu div {
	height: 3px;
	background: var(--menu);
	border-radius: 2px;
}
.menu div + div {
	margin-top: 3px;
}

.logo {
	display: block;
	text-align: center;
}
.logo a {
	display: inline-block;
}
.logo img {
	display: block;
	width: 70px;
	height: auto;
	margin: 0 auto;
}

.lang {
	justify-self: end;
	margin-top: 3px;
	padding: 4px 8px;
	border: 1px solid var(--lang);
	border-radius: 8px;
	color: var(--lang);
	font-size: 14px;
	line-height: 1.15;
	cursor: pointer;
}

.modal-nav {
	position: fixed;
	top: 0;
	left: -200%;
	bottom: 0;
	width: 100%;
	background: var(--nav-bg);
	padding: 48px 20px;
	opacity: 0;
	z-index: 9999;
	transition: all 0.5s ease;
}
.modal-nav.open {
	left: 0;
	opacity: 1;
}
.modal-close {
	position: absolute;
	top: 16px;
	right: 16px;
	width: 48px;
	color: var(--nav-text);
	font-size: 40px;
	line-height: 48px;
	cursor: pointer;
}
.nav {
	width: 220px;
	margin: 0 auto;
	color: var(--nav-text);
	font-size: 28px;
	text-align: left;
	font-weight: bold;
}
.nav-link {
	display: block;
	margin-top: 10px;
	color: var(--nav-link);
	text-decoration: none;
}
.nav-link:hover {
	opacity: 0.9;
}


/* main
*************************************************/
.main {
	flex: 0;
	width: 100%;
	max-width: 648px;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 16px;
}

.title {
	color: var(--title);
	font-size: 48px;
	line-height: 1;
	font-weight: 700;
	text-align: center;
	margin-bottom: 10px;
}
.webt-icon {
	width: 180px;
	height: 180px;
	margin: 0 auto;
	position: relative;
}
.icon-progress {
	width: 100%;
	height: 100%;
	position: relative;
}
.icon-progress__bg {
	stroke-width: 14px;
	stroke: var(--progress-bg);
	fill: transparent;
}
.webt-icon .progress_arrow {
	width: 120px;
	height: auto;
	opacity: 0;
	transition: all 1s;
	animation: bounceUpDown 2s ease-in-out infinite;
}
@keyframes bounceUpDown {
	0% {
		transform: translateY(0%);
	}
	50% {
		transform: translateY(-5%);
	}
	100% {
		transform: translateY(0%);
	}
}
.webt-icon__value {
	color: var(--proggress-text);
	display: flex;
	width: 100%;
	height: 100%;
	justify-content: center;
	align-items: center;
	text-align: center;
	position: absolute;
	font-size: 46px;
	font-weight: 600;
	top: 0;
	left: 0;
}
.meter-1 {
	stroke-dasharray: 800;
	stroke-dashoffset: 0;
	stroke: var(--progress-filled);
	stroke-width: 14px;
	fill: transparent;
	animation: progress-1 4s ease-out;
}
@keyframes progress-1 {
	from {
		stroke-dashoffset: 800;
	}
	to {
		stroke-dashoffset: 0;
	}
}
.download-title {
	color: var(--title);
	font-size: 20px;
	line-height: 1;
	font-weight: 400;
	text-align: center;
	margin-bottom: 10px;
}
.download {
	width: 180px;
	height: 180px;
	margin: 0 auto;
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
}
.download svg {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 1;
}
.download-circle {
	stroke-dasharray: 800;
    stroke-dashoffset: 0;
    stroke: var(--btn-bg);
    stroke-width: 14px;
    fill: transparent;
}
.download img {
	position: relative;
	z-index: 2;
	display: block;
	width: 120px;
	object-fit: contain;
	animation: bounceUpDown 2s ease-in-out infinite;
}
.form {
	background: var(--form-bg);
	border-radius: 16px;
	padding: 24px;
	margin-bottom: 24px;
}
.form-label {
	color: var(--form-label);
	font-size: 20px;
	line-height: 1.2;
	margin-bottom: 24px;
	font-weight: bold;
	text-align: center;
}
.is-invalid .field-group {
	border-color: var(--input-bg-invalid);
	background-color: var(--input-bg-invalid);
}
.field-group {
	display: flex;
	flex-direction: row;
	align-items: center;
	position: relative;
	direction: ltr;
	border-radius: 8px;
	box-shadow: 0 5px 15px var(--input-shadow);
	border: 5px solid var(--input-bg);
}
.field-group:after {
	position: absolute;
	top: 0;
	right: 16px;
	bottom: 0;
	width: 32px;
	background-position: center center;
	background-repeat: no-repeat;
}
.field-group .input {
	border: none;
	background: var(--bg);
	box-shadow: none;
}
.field-group:has(.input:focus),
.field-group:has(.input.focused) {
	border: 5px solid var(--input-border-focus);
}
.field-group .input-ccode {
	background: url('../images/flag-ps.png') 8px center no-repeat var(--input-bg);
	background-size: 30px auto;
}
.is-valid .field-group:after {
	content: '';
	background-image: url('../images/ok-icon.svg')
}
.is-invalid .field-group:after {
	content: '';
	background-image: url('../images/error-icon.svg')
}
.field-group.group-auto {
	max-width: 376px;
	margin-left: auto;
	margin-right: auto;
	justify-content: center;
}
.field-group.group-auto:after {
	content: none;
}

.input {
	flex: 1;
	width: 100%;
	height: 78px;
	background: var(--input-bg);
	border: 4px solid var(--input-bg);
	border-radius: 8px;
	padding: 0 8px;
	color: var(--input-text);
	font-size: 18px;
	line-height: 1;
	letter-spacing: 2px;
	box-shadow: 0 5px 15px var(--input-shadow);
}
.input:focus,
.input.focused {
	border-color: var(--input-border-focus);
}

.input-ccode {
	flex: 0.29;
	width: 29%;
	min-width: 110px;
	margin-right: 24px;
	background: url('../images/flag-ps.png') 8px center no-repeat var(--input-bg);
	background-size: 30px auto;
	padding-left: 48px;
	color: var(--input-text-disabled);
	letter-spacing: normal;
	border-top-right-radius: 0;
	border-bottom-right-radius: 0;
}
.input-ccode:focus {
	border-color: var(--input-bg);
}

.input-hidden {
	position: absolute;
	left: -100000px;
	width: 1px;
	height: 1px;
	z-index: -1;
	opacity: 0;
}
.input-pin {
	width: 100%;
	margin-left: 4px;
	margin-right: 4px;
	line-height: 70px;
	text-align: center;
}
[name="pin"] {
	letter-spacing: 15px;
	text-align: center;
}

.is-invalid .input {
	background-color: var(--input-bg-invalid);
	border-color: var(--input-bg-invalid);
}
.is-invalid .input.focused {
	border-color: var(--input-bg-invalid-focused);
}

.group-separator {
	width: 24px;
	height: 2px;
	background: #000;
	margin-left: 4px;
	margin-right: 4px;
}

.form-msg-error {
	display: none;
	background: var(--form-msg-error-bg);
	border-radius: 4px;
	padding: 4px 8px;
	margin-top: 16px;
	color: var(--form-msg-error-text);
	font-size: 18px;
	line-height: 1.25;
	font-weight: 500;
}
.is-invalid .form-msg-error {
	display: block;
}
.group-auto + .form-msg-error {
	max-width: 368px;
	margin-left: auto;
	margin-right: auto;
}

.btn {
	display: block;
	width: 100%;
	height: 79px;
	background: var(--btn-bg);
	border: none;
	border-radius: 40px;
	box-shadow: 0 4px 8px rgba(24, 103, 241, 0.4);
	margin-top: 24px;
	color: var(--btn-text);
	font-size: 28px;
	line-height: 1.25;
	font-weight: 600;
	text-transform: uppercase;
}
.btn span {
	display: block;
	color: var(--btn-text-sm);
	font-size: 14px;
	line-height: 1.25;
	font-weight: 500;
	text-transform: none;
}
.btn:hover {
	background: var(--btn-bg-hover);
}

.form-msg-success {
	background: var(--form-msg-success-bg);
	border-radius: 8px;
	padding: 10px;
	margin-top: 24px;
	color: var(--form-msg-success-text);
	font-size: 18px;
	line-height: 1.25;
}
.form-msg-success strong {
	display: block;
	font-weight: 700;
	margin-bottom: 10px;
}

.form-resend {
	margin-top: 24px;
	color: var(--timer);
	font-size: 16px;
	line-height: 1.5;
	font-weight: 600;
	text-align: center;
}
.form-resend__timer {}
.form-resend__btn {
	display: none;
	color: var(--w-link);
	text-decoration: underline;
	cursor: pointer;
}
.form-resend__btn:hover {
	color: var(--w-link-hover);
	text-decoration: none;
}
.hide-timer .form-resend__timer {
	display: none;
}
.hide-timer .form-resend__btn {
	display: inline;
}

.success-box {
	margin-top: 150px;
}

/* footer
*************************************************/
.footer {
	flex: 1;
	max-width: 648px;
	margin-left: auto;
	margin-right: auto;
	color: var(--footer);
}
.footer.is-hidden {
	padding-top: 50vh;
}
.footer-wrap {
	padding-bottom: 2px;
	font-size: 10px;
	line-height: 1.25;
}
.footer-wrap a {
	color: inherit;
	text-decoration: underline;
}
.btn-exit {
	color: var(--footer);
	font-size: 10px;
	line-height: 1.25;
	text-align: center;
	margin-bottom: 16px;
}
.btn-exit a {
	color: inherit;
	text-decoration: underline;
}

.main .footer-wrap {
	display: none;
	padding-top: 50px;
	color: var(--footer-w);
}

.loading {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: var(--bg-gradient);
	display: none;
	z-index: 100;
}
.loading:after {
	content: '';
	position: absolute;
	top: 50%;
	left: 50%;
	margin-top: -99px;
	margin-left: -99px;
	width: 198px;
	height: 198px;
	background: url('../images/loading-icon.svg') no-repeat;
	background-size: 100% 100%;
	-webkit-animation: rotation 1s linear infinite;
	        animation: rotation 1s linear infinite;
}
.loading.active {
	display: block;
}

@-webkit-keyframes rotation {
	0% {
		-webkit-transform: rotate(0);
		        transform: rotate(0);
	}
	100% {
		-webkit-transform: rotate(360deg);
		        transform: rotate(360deg);
	}
}
@keyframes rotation {
	0% {
		-webkit-transform: rotate(0);
		        transform: rotate(0);
	}
	100% {
		-webkit-transform: rotate(360deg);
	    	    transform: rotate(360deg);
	}
}


@media (max-width: 500px) {
	.wrapper {
		padding-left: 0;
		padding-right: 0;
	}

	.header,
	.footer {
		padding-left: 16px;
		padding-right: 16px;
	}

	.logo {
		top: 40px;
	}

	.main {
		background: var(--wbg);
		border-top-left-radius: 16px;
		border-top-right-radius: 16px;
		margin-bottom: 0;
		position: relative;
	}

	.title {
		font-size: 24px;
		text-align: left;
		padding-left: 16px;
		padding-right: 16px;
	}
	.rtl-text .title {
		text-align: right;
	}

	.form {
		padding-left: 16px;
		padding-right: 16px;
		margin-bottom: 0;
	}
	.form-label {
		font-size: 16px;
	}

	.input {
		height: 62px;
		border-width: 2px;
		font-size: 16px;
	}
	.input-ccode {
		min-width: 100px;
		padding-left: 44px;
		margin-right: 8px;
	}
	.input-pin {
		line-height: 58px;
	}

	.group-separator {
		width: 7px;
	}

	.form-msg-error {
		margin-top: 8px;
		font-size: 16px;
		font-weight: 400;
	}

	.btn {
		height: 62px;
		font-size: 22px;
	}
	.btn span {
		font-size: 10px;
	}

	.form-msg-success {
		font-size: 16px;
	}

	.form-resend {
		font-size: 14px;
	}

	.success-box {
		margin-top: 100px;
	}
	.success-box .title {
		font-size: 32px;
	}

	.btn-exit {
		color: var(--footer-w);
	}

	.footer {
		background: var(--wbg);
		color: var(--footer-w);
	}

	.loading:after {
		margin-top: -67px;
		margin-left: -67px;
		width: 134px;
		height: 134px;
	}
}